org.apache.avro.ipc

## Interface Server

- All Known Implementing Classes:
    DatagramServer, HttpServer, NettyServer, SaslSocketServer, SocketServer

      public interface Server

  A server listening on a port.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()` Stop this server.
    `int` | `getPort()` The port this server runs on.
    `void` | `join()` Wait for this server to exit.
    `void` | `start()` Start this server.

- - ### Method Detail

    - #### getPort

          int getPort()

      The port this server runs on.

    - #### start

          void start()

      Start this server.

    - #### close

          void close()

      Stop this server.

    - #### join

          void join()
             throws InterruptedException

      Wait for this server to exit.
      Throws:
        `InterruptedException`

Copyright © 2009–2024 The Apache Software Foundation. All rights reserved.